Backing up and restoring data

Backup is a utility that you can use to back up and restore user data.

  • Before backing up data, see Checklists.
  • For tips on backing up and restoring data, see Best practices for Backup.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving information, see Troubleshooting.
  • For more information about the recovery options that are available, see Repair overview.


Checklists

  • Checklist: Backing up data
  • Checklist: Restoring data


Checklist: Backing up data

Step | Reference
Review key concepts and prepare to back up data. | Concepts
Verify that you are logged on as a member of the Backup Operators group or Administrators group. | To identify members of a local group
Verify that you can connect to all shared folders on other computers that need to be backed up. Note: you cannot back up another computer's System State or another domain controller. |
If you are using an external storage device, verify that it is compatible with products in the Windows Server 2003 family. Confirm that it is connected directly to the computer that is performing the backup and that the computer is turned on. | Check the hardware compatibility information in Support resources.
If you are backing up to a tape, insert the required tape into the tape drive. If you are backing up to a disk drive, verify that there is enough available space. |
If you are backing up an Encrypted File System (EFS), first back up the designated recovery agent's EFS private key (the PKCS #12 file) to ensure the successful recovery of encrypted data in case of a disaster such as a system failure. | To export a certificate with the private key
To back up files manually, use the Backup or Restore Wizard or click the Backup tab in the Backup UI to select files to backup. | To back up files to a file or a tape
To back up files automatically, use the schedule feature in backup. | To schedule a backup


Checklist: Restoring data

Step | Reference
Verify that you are logged on as a member of the Backup Operators group or Administrators group. | To identify members of a local group
Verify that you can connect to all shared folders on other computers that need to be restored. |
Insert the required tape(s) into the tape drive or library. |
If you are restoring the System State to a running domain controller, start the server in Directory Services Restore Mode. | Follow the steps in To start the computer in Safe Mode, and then click Directory Services Restore Mode.
To restore files manually, click the Restore and Manage Media tab to select files to restore or use the Backup or Restore Wizard. | To restore files from a file or a tape
If you are restoring an Encrypted File System (EFS) on a system where the private key for the encrypted data is somehow inaccessible (for example, on a computer that is not part of a network) or is corrupted or lost, import the designated recovery agent's EFS private key (the PKCS #12 file). | To import a certificate


Best practices for Backup

  • Develop backup and restore strategies and test them.
    With a good plan, you can quickly recover your data if it is lost.
  • Train appropriate personnel.
    In minimum-security and medium-security networks, assign backup rights to one user and restore rights to a different user. Train personnel with restore rights to perform all of the restore tasks if the administrator is unavailable.

    In a high-security network, make sure that only administrators can restore files.

  • Back up all data on the system and boot volumes and the System State.
    Back up the data on all volumes and the System State data at the same time. This precaution prepares you for the unlikely event of a disk failure.
  • Create an Automated System Recovery backup set.
    Always create an Automated System Recovery (ASR) backup set when the operating system changes, for example, whenever you install new hardware and drivers or apply a service pack. With an ASR backup set, you can more easily recover from a system failure. Also, backup all data volumes at the same time; ASR protects only the system, so data volumes must be backed up separately.
  • Create a backup log.
    Always choose to create a backup log for each backup and print them for reference. Keep a book of logs to make it easier to locate specific files. The backup log is helpful when restoring data; you can print it or read it from any text editor. Also, if the tape containing the backup set catalog is corrupted, the printed log can help you locate a file.
  • Retain copies.
    Keep at least three copies of the media. Keep at least one copy off-site in a properly-controlled environment.
  • Perform trial restorations.
    Perform a trial restoration periodically to verify that your files were properly backed up. A trial restoration can uncover hardware problems that do not show up when you verify software.
  • Secure devices and media.
    Secure both the storage device and the backup media. It is possible for someone to access the data from a stolen medium by restoring the data to another server for which they are an administrator.
  • Use the default volume shadow copy backup.
    Do not disable the default volume shadow copy backup method and revert to the pre-Windows Server 2003 backup method. If you disable the default volume shadow copy backup method, open files or files that are being used by the system during the backup process may be skipped during the backup.
  • Back up your server cluster effectively.

    To be able to effectively restore your server cluster in the event of application data or quorum loss, or individual node or complete cluster failure, follow these steps when preparing backups:

    1. Perform an Automated System Recovery (ASR) backup on each node in the cluster.
    2. Back up the cluster disks from each node.
    3. Back up each individual application (for example, MS Exchange or MS SQL Server) running on the nodes.

    For more information, see Backing up and restoring server clusters. For more information on backing up applications in a cluster, see the documentation for that application.


How to...

  • Back up data
  • Restore data
  • Set options
  • Maintain media
  • Perform system repair and recovery


Back up data

  • Back up files to a file or a tape
  • Back up System State data
  • Schedule a backup


Back up files to a file or a tape

Microsoft Windows graphic

To back up files to a file or a tape

Using the Windows interface

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled. You can use this wizard or go to the next step to work in Advanced Mode.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Backup tab, and then on the Job menu, click New.
  4. Select the files and folders you want to back up by clicking the box to the left of a file or folder.
  5. In Backup destination, do one of the following:
    • Choose File if you want to back up files and folders to a file. This is selected by default.
    • Choose a tape device if you want to back up files and folders to a tape.
  6. In Backup media or file name, do one of the following:
    • If you are backing up files and folders to a file, type a path and file name for the backup (.bkf) file, or click the Browse button to find a file.
    • If you are backing up files and folders to a tape, choose the tape you want to use.
  7. Select any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished selecting backup options, click OK.
  8. Click Start Backup, and then make any changes to the Backup Job Information dialog box.
  9. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished setting advanced backup options, click OK.
  10. Click Start Backup to start the backup operation.

Caution

  • XOX

Notes

  • XOX
  • XOX
  • If the Backup or Restore Wizard does not start by default, you can still use it to back up files by clicking Wizard Mode on the Welcome tab.
  • To back up and restore Microsoft SQL Server database files, it is recommended that you use the built-in backup and restore utilities that SQL has. For more information, see the Microsoft SQL Server documentation.
  • Some tape drives may not support hardware compression.
  • XOX
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • Backup does not support the use of backup media such as CD-RW (compact disc rewritable), CD-R (compact disc recordable), and DVD-R (digital video disc recordable). To save backups to this type of media, back up to a file and copy that file to the CD. You can use Backup to restore from a CD.
  • Backup files usually have the extension .bkf. You can use any extension you like, but it is highly recommended that you use .bkf, which has file associations that will ensure that the backup file is recognizable.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.

Using a command line

  1. Open Command Prompt.
  2. To backup to a file or tape, type:

    ntbackup backup @bks file name /J {"backup job name"} /F {"file name"} /T {"tape name"} /P {"pool name"} /G {"guid name"} /N {"media name"} /A

Value | Description
@bks file name | Specifies the name of the backup selection file (.bks file) to be used for this backup operation. The @ character must precede the name of the backup selection file. A backup selection file contains information on the files and folders you have selected for backup. You have to create the file using the graphical user interface (GUI) version of Backup. Alternatively, you could supply the path to the drive or file to backup, for example, D:\.
/J {"backup job name"} | Specifies the job name to be used in the backup report. The job name usually describes the files and folders you are backing up in the current backup job.
/F {"file name"} | Specifies the logical disk path and file name of the backup file. You must not use the following switches with this switch: /P /G /T.
/T {"tape name"} | Overwrites or appends to this tape.
/P {"pool name"} | Specifies the media pool from which you want to use media. This is usually a subpool of the Backup media pool, such as 4mm DDS. If you select this value, you must not use the following switches: /A /G /F /T
/G {"guid name"} | Overwrites or appends to this tape. Do not use this switch in conjunction with /P.
/N {"media name"} | Specifies the new tape name. You must not use /A with this switch.
/A | Performs an append operation. Either /G or /T must be used in conjunction with this switch. Do not use this switch in conjunction with /P.

For information on additional file and tape backup options, see the ntbackup command-line utility.

Examples:

To backup drive D: to file C:\backup.bkf, with job name "Backup Job 1" type the following at the command line:

ntbackup.exe backup D:\ /j "Backup Job 1" /f "C:\Backup.bkf"

For a tape backup, to create a backup job named "Backup Job 1" that backs up all the files and folders listed in the backup selection file c:\backup.bks to a tape drive, type:

ntbackup backup @C:\backup.bks /n "Media created 11/5/2001 at 1:25 PM" /d "Set created 11/5/2001 at 1:25 PM" /j "Backup Job 1" /p "4mm DDS"

Important

  • If you don’t specify options at the command prompt, they will default to those specified in the Backup application.
  • Before using the command line to perform backup operations, it is recommended that you use the user interface to create the initial backup selection file, settings and a scheduled task. You can then use that scheduled task to view the command syntax. Copy the information from the scheduled task, make any changes that are necessary to create a script or command line syntax, then delete the scheduled task if it is not needed otherwise.
  • XOX
  • To back up and restore Microsoft SQL Server database files, it is recommended that you use the built-in backup and restore utilities that SQL has. For more information, see the Microsoft SQL Server documentation.
  • Some tape drives may not support hardware compression.

Notes

  • XOX
  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the default values of the Backup program for the backup type, verification setting, logging level, hardware compression, and any other settings.
  • XOX
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • Backup files usually have the extension .bkf. You can use any extension that you want, but it is highly recommended that you use .bkf, which has file associations that will ensure that the backup file is recognizable.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.

Related Topics


Backing up System State data

Microsoft Windows graphic

To back up System State data

Using the Windows interface

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled. You can use this wizard or go to the next step to work in Advanced Mode.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Backup tab, then click the box next to System State and any other items you would like to backup. It is recommended that you backup all boot and system volumes along with the System State.

Notes

  • XOX
  • XOX
  • If the Backup or Restore Wizard does not start by default, you can still use it to back up the System State data by clicking Wizard Mode on the Welcome tab.
  • XOX
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.

Using a command line

  1. Open Command Prompt.
  2. To backup the System State data, type:
    ntbackup backup systemstate
Value | Description
systemstate | Specifies that you want to back up the System State data. When you select this option, the backup type will be forced to copy.
For information on additional backup options, see the ntbackup command-line utility.

For example, to create a backup job named "Backup Job 1" that backs up the System State data to the file C:\backup.bkf, type:

ntbackup backup systemstate /J "Backup Job 1" /F "C:\backup.bkf"

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • XOX
  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the default values of the Backup program for backup type, verification setting, logging level, hardware compression, and any other settings.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.

Related Topics


Schedule a backup

Microsoft Windows graphic

To schedule a backup

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled. You can use this wizard or go to the next step to work in Advanced Mode.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Backup tab, and then on the Job menu, click New.
  4. Select the files and folders you want to back up by clicking the box to the left of a file or folder.
  5. Select File or a tape device in Backup destination.
  6. In Backup media or file name, type a path and file name for the backup file, or select a tape.
  7. Select any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished selecting backup options, click OK.
  8. On the Job menu select Save Selections to save your selections as a backup job file (.bks).
  9. Click Start Backup and make any changes you want to the Backup Job Information dialog box.
  10. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished selecting advanced backup options, click OK.
  11. Click Schedule in the Backup Job Information dialog box.
  12. In the Set Account Information dialog box, enter the user name and password that you want the scheduled backup to run under.
  13. In the Scheduled Job Options dialog box, in Job name, type a name for the scheduled backup job, and then click Properties on the Schedule data tab to set the date, time, and frequency parameters for the scheduled backup. When you have finished, click OK, and then click OK again.

Caution

  • XOX

Notes

  • XOX
  • XOX
  • If you are scheduling a tape backup, you may have to use Removable Storage to make sure that your tape is available in the Backup media pool. For more information on Removable Storage, see Related Topics.
  • You must have the Task Scheduler service running before you can schedule a backup. To do this, open the command prompt window and type net start schedule. You can also use Services in the Computer Management administrative tool to start, stop, and view the status of services.
  • XOX
  • If you want to back up your System State data, you must select System State in Click to select the check box for any drive, folder, or file that you want to back up.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • You can change the settings of a scheduled backup job after you schedule it by clicking the Schedule Jobs tab and then clicking the backup icon that is displayed on the calendar.
  • In the Scheduled Job Options dialog box, you can delete a scheduled backup from the Task Scheduler by clicking Delete.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.

Related Topics


Restore data

  • Restore files from a file or a tape
  • Restore System State data


Restore files from a file or a tape

Microsoft Windows graphic

To restore files from a file or a tape

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Restore and Manage Media tab, select the files and folders you want to restore by clicking the box to the left of a file or folder.
  4. In Restore files to, do one of the following:
    • Click Original location if you want the backed up files and folders to be restored to the folder or folders they were in when they were backed up. Skip to step 6.
    • Click Alternate location if you want the backed up files and folders to be restored to a folder that you designate. This option will preserve the folder structure of the backed up data; all folders and subfolders will appear in the alternate folder you designate.
    • Click Single folder if you want the backed up files and folders to be restored to a folder that you designate. This option will not preserve the folder structure of the backed up data; the files will appear only in the folder that you designate.
  5. If you selected Alternate location or Single folder, type a path for the folder under Alternate location, or click the Browse button to find the folder.
  6. On the Tools menu, click Options, click the Restore tab, and then do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your hard disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless of whether the backup files are newer or older.
    • Click OK to accept the restore options you have set.
  7. Click Start Restore.
  8. If you want to change any of the advanced restore options, such as restoring security settings and junction point data, click Advanced. When you are done setting advanced restore options click OK.
  9. Click OK to start the restore operation.

Caution

  • Choosing Always replace the file on my computer might cause you to lose data if a file you are working on is contained in the backup.
  • XOX

Notes

  • XOX
  • XOX
  • You can also use the Restore Wizard to restore files by clicking Restore Wizard on the Tools menu.
  • To back up and restore Microsoft SQL Server database files, it is recommended that you use the built-in backup and restore utilities in SQL. For more information, see the Microsoft SQL Server documentation.
  • To restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory directory service database.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.

Related Topics


Restore System State data

Microsoft Windows graphic

To restore System State data

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Restore and Manage Media tab, click the box next to System State. This will restore the System State data along with any other data you have selected for the current restore operation.

Notes

  • XOX
  • XOX
  • You can also use the Restore Wizard to restore the System State data by clicking Restore Wizard on the Tools menu.
  • If you are restoring the System State data to a domain controller, you must choose whether you want to perform a primary restore, an authoritative restore or a nonauthoritative restore. The default method of restoring the System State data to a domain controller is nonauthoritative (normal). In this mode, any component of the System State that is replicated to with another domain controller, such as the Active Directory directory service or the File Replication service (including the SYSVOL directory), will be brought up to date by replication after you restore the data. For example, if the last backup was performed a week ago, and the System State is restored using the default restore method (nonauthoritative), any changes made subsequent to the backup operation will be replicated from the domain controllers.

    In some cases, you may not want to replicate the changes that have been made subsequent to the last backup operation. In other words, there may be instances where you want all replicas to have the same state as the backed up data. To achieve this state, you must perform an authoritative restore.

    For example, you have to perform an authoritative restore if you inadvertently delete users, groups, or organizational units from the Active Directory directory service, and you want to restore the system so that the deleted objects are recovered and replicated. To do this, you need to run the Ntdsutil utility after you have restored the data but before you restart the domain controller. This utility lets you mark objects as authoritative, which will ensure that any replicated or distributed data that you have restored is properly replicated or distributed throughout your organization. The Ntdsutil command line utility can be run from the command prompt. Help for the Ntdsutil utility can also be found at the command prompt by typing ntdsutil /?. For more information , see Related Topics.

  • To restore the System State data on a domain controller, you must first start your computer in a special startup option called Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and Active Directory directory service database. To access Directory Services Restore Mode, press F8 during startup and select it from the list of startup options. For more information on startup options, see Related Topics.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.

Related Topics


Set options

  • Set backup options
  • Set the backup type
  • Exclude file types from a backup
  • Set advanced backup options
  • Set restore options
  • Set advanced restore options


Set backup options

Microsoft Windows graphic

To set backup options

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Tools menu, then click Options.
  4. On the General tab, set the options you want.

Notes

  • XOX
  • XOX
    • Item | Description
Compute selection information before backup and restore operations | Estimates the number of files and bytes that will be backed up or restored during the current backup or restore operation. This information is calculated and displayed before the backup or restore begins.
Use the catalogs on the media to speed up building restore catalogs on disk | Specifies that you want to use the on-media catalog to build the on-disk catalog for restore selections. This is the fastest way to build an on-disk catalog. However, if you want to restore data from several tapes, and the tape with the on-media catalog is missing or you want to restore data from media that is damaged, do not select this option. Backup will then scan your entire backup set (or as much of it as you have) and build an on-disk catalog. This could take several hours if your backup set is very large.
Verify data after the backup completes | Compares the backed-up data and the original data on your hard disk to be sure that the data is the same. It is recommended that you only verify backups of data files; system backups are difficult to verify due to the large number of changes that happen to system files on a continual basis. Some data files that were in use during the backup might also cause verification errors, but you can generally ignore these errors. If there are a large number of verification errors, there may be a problem with the media or the file you are using to back up data. If this occurs, use different media or designate another file and run the backup operation again.
Back up the contents of mounted drives | Backs up the data that is on a mounted drive. If you select this option, and you back up a mounted drive, the data that is on the mounted drive will be backed up. If you do not select this option, and you back up a mounted drive, only the path information for the mounted drive will be backed up.
Show alert message when I start Backup and Removable Storage is not running | Displays a dialog box when you start Backup and Removable Storage is not running. Backup will then start Removable Storage automatically. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, do not check this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, check this box.
Show alert message when I start Backup and there is recognizable media available | Displays a dialog box when you start Backup and there is new media available. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, do not check this box. If you primarily back up data to a tape or other media that is managed by Removable Storage, check this box. For more information on media pools and Removable Storage, see Related Topics.
Show alert message when new media is inserted | Displays a dialog box when new media is detected by Removable Storage. If you primarily back up data to a file and you save the file to a floppy disk, a hard disk, or any type of removable disk, do not check this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, check this box.
Always allow use of recognizable media without prompting | Automatically moves new media that is detected by Removable Storage to the Backup media pool. If you usually back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, do not check this box. If you want all new media to be available to the Backup program only, and no one is using Removable Storage to manage new media, check this box.

Related Topics


Set the backup type

Microsoft Windows graphic

To set the backup type

Using the Windows interface

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Tools menu, then click Options.
  4. On the Backup Type tab, in Default Backup Type, select the type of backup you want to perform.

Notes

  • XOX
  • XOX
  • There are five backup types: copy, daily, differential, incremental, and normal. For more information about these backup types, see Related Topics.

Using a command line

  1. Open Command Prompt.
  2. To set the backup type, type:
    ntbackup backup /M {backuptype}

Backup type must be one of the following: normal, copy, differential, incremental, or daily. For information on additional backup options, see the ntbackup command-line utility.

For example, to create a normal backup job named "Backup Job 1" that backs up the System State data to the file C:\backup.bkf, type:

ntbackup backup systemstate /M normal /J "Backup Job 1" /F "C:\backup.bkf"

Notes

  • XOX
  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

Related Topics


Exclude file types from a backup

Microsoft Windows graphic

To exclude file types from a backup

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Tools menu, then click Options.
  4. On the Exclude Files tab, do one of the following:
    • Click Add new under the Files excluded for all users list if you want to exclude files that are owned by all users.
    • Click Add new under the Files excluded for user list if you want to exclude only files that you own.
  5. In the Add Excluded Files dialog box, do one of the following:
    • If you want to exclude a registered file type, click the file type in Registered file type.
    • If you want to exclude a custom file type, enter a period and then the one, two, or three letter file extension in Custom file mask.
  6. Type a path in Applies to path if you want to restrict the excluded file type to a specific folder or hard disk drive, and then click OK.

Notes

  • XOX
  • XOX
  • If you restrict excluded files to a specific path (folder), the files will be restricted from all subfolders of that path unless you clear the Applies to all subfolders check box.
  • You can change how a file is excluded from a backup set by clicking the file in Files excluded for all users or Files excluded for user, and then clicking Edit. The Add Excluded Files dialog box appears.

Related Topics


Set advanced backup options

Microsoft Windows graphic

To set advanced backup options

Using the Windows interface

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Backup tab and select the files and folders you want to back up.
  4. Click Start Backup.
  5. On the Backup Job Information dialog box, click Advanced.
  6. Set the advanced backup options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • XOX
  • XOX
    • Item | Description
Back up data that is in Remote Storage | Backs up data that has been designated for Remote Storage. If you choose this option, Remote Storage reparse points (placeholder files) are backed up. If you do not select this option, Remote Storage reparse points are not backed up. You can restore Remote Storage data only to an NTFS volume.
Verify data after backup | Verifies that the backed-up data is exactly the same as the original data. This might substantially increase the time it takes to perform a backup.
If possible, compress the backup data to save space | Compresses the data you are backing up so that you can save more data on a tape. If this option is disabled, you do not have a tape drive on your computer or your tape drive cannot handle compressed data.
Automatically back up System Protected Files with the System State | Backs up all of the system files that are in your systemroot directory in addition to the boot files that are included with the System State data. This option will substantially increase the size of your backup job, but select it if you have recently updated drivers or changed other operating system files. For example, if you choose this option on XOX, it will add over 200 megabytes to the size of your backup job.
Disable volume shadow copy | Disables the use shadow copy to create the backup. If this option is disabled, some files that are open or in use during the backup might be skipped. It is recommended that you do not disable this option.
Backup Type | Determines how your data is backed up. Backup types include copy, daily, differential, incremental, and normal.

Using a command line

  1. Open Command Prompt.
  2. To set the advanced backup options, type:
    ntbackup backup /V:{yes|no} /HC:{on|off} /SNAP:{on|off}
Value | Description
/V:{yes|no} | Specifies whether or not the backup data is verified after the backup is complete.
/HC:{on|off} | Specifies whether or not hardware compression is used (if it is available on the backup media). Usually only tape drives have the ability to compress data.
/SNAP:{on|off} | Specifies whether or not the backup is a volume shadow copy.
For other backup options, see information about the ntbackup command.

For example, to create a backup job named "Backup Job 1" that backs up data on drive D:\ to the file C:\backup.bkf and to disable the volume shadow copy backup method, type:

ntbackup backup D:\ /J "Backup Job 1" /F "C:\backup.bkf" /SNAP:off

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the default values of the Backup program for the backup type, verification setting, logging level, hardware compression, and any other settings.

Related Topics


Set restore options

Microsoft Windows graphic

To set restore options

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Tools menu, click Options.
  4. On the Restore tab, do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless whether the backup files are newer or older.

Note

  • XOX
  • XOX

Related Topics


Set advanced restore options

Microsoft Windows graphic

To set advanced restore options

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. Click the Restore and Manage Media menu and select the files to restore.
  4. Click the Start Restore button.
  5. On the Confirm Restore dialog box, click Advanced.
  6. Set the advanced restore options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • XOX
  • XOX
    • Item | Description
Restore security | Restores security settings for each file and folder. Security settings include permissions, audit entries, and ownership. This option is available only if you have backed up data from an NTFS volume used in the Windows Server 2003 family of operating systems, and you are restoring it to an NTFS volume used in Windows Server 2003 family operating systems.
Restore junction points, and restore file and folder data under junction points to the original location | Restores junction points on your hard disk as well as the data that the junction points point to. If you do not select this check box, the junction points will be restored as common directories and the data your junction points point to will not be accessible. Also, if you are restoring a mounted drive and you want to restore the data that is on the mounted drive, you must select this check box. If you do not select this check box, you will only restore the folder containing the mounted drive.
When restoring replicated data sets, mark the restored data as the primary data for all replicas | Performs a primary restore. Ensures that restored File Replication service (FRS) data is replicated to your other servers. Select this option only when restoring the first replica set to the network. Do not use this option if one or more replica sets have already been restored.
Restore the Cluster Registry to the quorum disk and all other nodes | Ensures that the cluster quorum database is restored and replicated on all nodes in a server cluster. If you select this option, Backup will stop the Cluster service on all other nodes of the server cluster after the node that was restored is rebooted. The entire server cluster will therefore be down during an authoritative restore of the data on the cluster quorum disk. For more information, see Related Topics.
Preserve existing volume mount points | Prevents the restore operation from writing over any volume mount points that you have created on the partition or volume you are restoring data to. This option is primarily applicable when you are restoring data to an entire drive or partition. For example, if you are restoring data to a replacement drive and you have partitioned, formatted the drive, and restored volume mount points, select this option so your volume mount points are not restored. If you are restoring data to a partition or drive that you have just reformatted and you want to restore the old volume mount points, do not select this option.

Related Topics


Maintain media

Backup provides a way to perform some simple management of backup files and tapes. For advanced management of backup media, see Removable Storage.

  • Format a tape
  • Retension a tape
  • Mark a tape as free
  • Delete a catalog
  • Update a catalog


Format a tape

Microsoft Windows graphic

To format a tape

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Restore and Manage Media tab, right-click the tape you want to format in Backup Identification Label.
  4. Click Format.

Notes

  • XOX
  • XOX
  • Not all drives support using Backup to format a tape.
  • If you do not have a tape drive, this feature is not available.

Related Topics


Retension a tape

Microsoft Windows graphic

To retension a tape

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Restore and Manage Media tab, click the tape you want to retension.
  4. On the Tools menu, click Media Tools, and then click Retension.

Notes

  • XOX
  • XOX
  • You can also access the Retension command by right-clicking a tape on the Restore and Manage Media tab.
  • Not all drives require or support the retension option.

Related Topics


Mark a tape as free

Microsoft Windows graphic

To mark a tape as free

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Restore and Manage Media tab, click the tape you want to erase.
  4. On the Tools menu, click Media Tools, and then click Mark as free .

Notes

  • XOX
  • XOX
  • Do not use this option if you need to erase tapes for legal reasons. Mark as free will not destroy the data on the tape. You must use another method to erase the tape.
  • You can only mark a tape as free if it is in the tape drive or in a loader slot of a tape changer.
  • Marking a tape as free moves the tape from the backup media pool to the free media pool.
  • You can also use Removable Storage to manage tapes.
  • You can also access the Mark as free command by right-clicking a tape on the Restore and Manage Media tab.

Related Topics


Delete a catalog

Microsoft Windows graphic

To delete a catalog

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Restore and Manage Media tab, right-click the backup set that contains the catalog you want to delete.
  4. Click Delete catalog if the backup set has been saved to a file, or click Delete from system if the backup set has been saved to a tape.

Notes

  • XOX
  • XOX
  • Use this procedure only if you have a damaged or lost tape or file and you want to delete it from the on-disk catalog.
  • If you click Delete catalog, this procedure will delete the on-disk catalog for the selected backup set. It will not delete the backup file.
  • If you click Delete catalog from system, this procedure will delete the on-disk catalog for the selected backup set, and it will delete the tape from the Removable Storage database if the tape is offline. It will not delete the on-media catalog that is on the tape.
  • You can restore a catalog for a file or a tape by clicking the Restore and Manage Media tab, right-clicking File or the tape you want to catalog, and then clicking Catalog file or Catalog. For more information on creating a catalog, see Related Topics.

Related Topics


Update a catalog

Microsoft Windows graphic

To update a catalog

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Restore and Manage Media tab, right-click the media containing the backup set you want to catalog.
  4. Click Catalog.

Notes

  • XOX
  • XOX
  • This procedure creates an on-disk catalog. It does not create an on-media catalog.
  • If you are creating a catalog of a backup set that is saved on a tape, do one of the following before you perform this procedure:
    • If you have all of the tapes in the backup set and the tapes are not damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is checked.
    • If you are missing a tape in the backup set or a tape is damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is cleared. This will ensure that the catalog is complete and accurate; however, it might take a long time to create the catalog.

Related Topics


Perform system repair and recovery

  • Create an Automated System Recovery set using Backup
  • Recover from a system failure using Automated System Recovery
  • Install the Recovery Console as a startup option on an x86-based computer
  • Delete the Recovery Console
  • Start the computer and use the Recovery Console on an x86-based or Itanium architecture-based computer


Create an Automated System Recovery set using Backup

Microsoft Windows graphic

To create an Automated System Recovery set using Backup

  1. XOX

    2. The Backup or Restore Wizard starts by default, unless it is disabled. You can use the Backup or Restore Wizard to create an Automated System Recovery (ASR) set by answering All information on this computer in the What do you want to backup? section. Otherwise, you can go to the next step to create an ASR set in Advanced Mode.

  2. Click the Advanced Mode link on the Backup or Restore Wizard.
  3. On the Tools menu, click ASR Wizard.
  4. Follow the instructions that appear on your screen.

Important

  • You will need a blank 1.44 MB floppy disk to save your system settings and media to contain the backup files. If your computer does not have a floppy drive, see Troubleshooting.

Notes

  • XOX
  • XOX
  • This procedure will only back up those system files that are necessary for starting your system. You will need to backup your data separately.
  • After creating the ASR set, label this floppy disk and backup media carefully and keep them together. To use the backup media, you must have the floppy disk that you created with that set of media. You cannot use a floppy disk created at a different time or with a different set of media. You must also have your Setup CD available at the time you perform Automated System Recovery.
  • Keep the ASR set in a secure location. The ASR set contains information about your systems configuration that could be used to do harm to your system.
  • If you are backing up a server cluster, run the Automated System Recovery Preparation Wizard on all nodes of the cluster and make sure that the Cluster service is running when you start each Automated System Recovery backup. Make sure that one of the nodes on which you run the Automated System Recovery Preparation Wizard is listed as the owner of the quorum resource while the wizard is running.

Related Topics


Recover from a system failure using Automated System Recovery

Microsoft Windows graphic

To recover from a system failure using Automated System Recovery

  1. Make sure you have the following available before you begin the recovery procedure:
    • Your previously created Automated System Recovery (ASR) floppy disk.
    • Your previously created backup media.
    • The original operating system installation CD.
    • If you have a mass storage controller and you are aware that the manufacturer has supplied a separate driver file for it (different from driver files available on the Setup CD), obtain the file (on a floppy disk) before you begin this procedure.
  2. Insert the original operating system installation CD into your CD drive.
  3. Restart your computer. If you are prompted to press a key to start the computer from CD, press the appropriate key.
  4. If you have a separate driver file as described in step 1, use the driver as part of Setup by pressing F6 when prompted.
  5. Press F2 when prompted at the beginning of the text-only mode section of Setup. You will be prompted to insert the ASR floppy disk you have previously created.
  6. Follow the directions on the screen.
  7. If you have a separate driver file as described in step 1, press F6 (a second time) when prompted after the system reboots.
  8. Follow the directions on the screen.

Notes

  • XOX
  • Automated System Recovery will not restore your data files. See Related Topics for more information on backing up and restoring your data files.
  • If you are restoring a server cluster in which all nodes failed and the quorum disk cannot be restored from backup, use Automated System Recovery on each node in the original cluster to restore the disk signatures and the partition layout of the cluster disks (quorum and nonquorum). For more information about backing up and restoring server clusters, see the Related Topics link at the bottom of this page.

Related Topics


Concepts

This section provides general background information about the Backup utility.

  • Backup overview
  • Understanding Backup
  • Administering Backup


Backup overview

The Backup utility helps you protect data from accidental loss if your system’s hardware or storage media fails. For example, you can use Backup to create a duplicate copy of the data on your hard disk and then archive the data on another storage device. The backup storage medium can be a logical drive such as your hard disk, a separate storage device such as a removable disk, or an entire library of disks or tapes organized and controlled by a robotic changer. If the original data on your hard disk is accidentally erased or overwritten, or becomes inaccessible because of a hard disk malfunction, you can easily restore the data from the archived copy.

Backup creates a volume shadow copy of your data to create an accurate copy of the contents of your hard drive, including any open files or files that are being used by the system. Users can continue to access the system while the Backup utility is running without risking loss of data.

For more information on volume shadow copy, see Volume shadow copy overview.

Using Backup, you can:

  • Archive selected files and folders on your hard disk.
  • Restore the archived files and folders to your hard disk or any other disk you can access.
  • Use Automated System Recovery to save and restore all the system files and configuration settings that you need to recover from a complete system failure.
  • Make a copy of any Remote Storage data and any data stored in mounted drives.
  • Make a copy of your computer's System State.
  • Create a log of what files were backed up and when the backup was performed.
  • Make a copy of your computer's system partition, boot partition, and the files needed to start up your system in case of computer or network failure.
  • Schedule regular backups to keep your archived data up-to-date.
  • Backup also performs simple media management functions, for example, formatting. More advanced management tasks such as mounting and dismounting a tape or disk are done by a service called Removable Storage. For more information on Removable Storage, see Removable Storage Overview.

Caution

  • XOX
  • XOX


Understanding Backup

This section covers:

  • Types of backup
  • Volume shadow copy overview
  • Permissions and user rights required to back up and restore
  • System State data
  • Authoritative, primary, and normal restores
  • Repair overview
  • Recovery Console overview
  • Automated System Recovery (ASR) overview


Types of backup

The Backup utility supports five methods of backing up data on your computer or network.

Copy backup

A copy backup copies all the files you select, but does not mark each file as having been backed up (in other words, the archive attribute is not cleared). Copying is useful if you want to back up files between normal and incremental backups because copying does not affect these other backup operations.

Daily backup

A daily backup copies all the files that you select that have been modified on the day the daily backup is performed. The backed-up files are not marked as having been backed up (in other words, the archive attribute is not cleared).

Differential backup

A differential backup copies files that have been created or changed since the last normal or incremental backup. It does not mark files as having been backed up (in other words, the archive attribute is not cleared). If you are performing a combination of normal and differential backups, restoring files and folders requires that you have the last normal as well as the last differential backup.

Incremental backup

An incremental backup backs up only those files that have been created or changed since the last normal or incremental backup. It marks files as having been backed up (in other words, the archive attribute is cleared). If you use a combination of normal and incremental backups, you will need to have the last normal backup set as well as all incremental backup sets to restore your data.

Normal backup

A normal backup copies all the files you select and marks each file as having been backed up (in other words, the archive attribute is cleared). With normal backups, you only need the most recent copy of the backup file or tape to restore all of the files. You usually perform a normal backup the first time you create a backup set.

Backing up your data using a combination of normal backups and incremental backups requires the least amount of storage space and is the quickest backup method. However, recovering files can be time-consuming and difficult because the backup set might be stored on several disks or tapes.

Backing up your data using a combination of normal backups and differential backups is more time-consuming, especially if your data changes frequently, but it is easier to restore the data because the backup set is usually stored on only a few disks or tapes.

For more information, see To set the backup type.


Volume shadow copy overview

With Backup, you can create shadow copy backups of volumes and exact copies of files, including all open files. For example, databases that are held open exclusively and files that are open due to operator or system activity are backed up during a volume shadow copy backup. In this way, files that have changed during the backup process are copied correctly.

Shadow copy backups ensure that:

  • Applications can continue to write data to the volume during a backup.
  • Files that are open are no longer omitted during a backup.
  • Backups can be performed at any time, without locking out users.

Some applications manage storage consistency differently while files are open, which can affect the consistency of the files in the backup. For critical applications, consult the application documentation or your provider for information about the recommended backup method. When in doubt, shutdown the application before performing a backup.

It is highly recommended that you perform backups when server usage is low. For example, perform backups late at night.

For more information, see To set advanced backup options.


Permissions and user rights required to back up and restore

You must have certain permissions and user rights to back up files and folders. If you are an administrator or a backup operator in a local group, you can back up any file and folder on the local computer to which the local group applies. Likewise, if you are an administrator or backup operator on a domain controller you can back up any file and folder locally on any computer in the domain or any computer on a domain with which you have a two-way trust relationship. However, if you are not an administrator or a backup operator, and you want to back up files, then you must be the owner of the files and folders that you want to back up, or you must have one or more of the following permissions for the files and folders you want to back up: Read, Read and execute, Modify, or Full Control.

You must also be certain that there are no disk-quota restrictions that may restrict your access to a hard disk. These restrictions make it impossible for you to back up data. You can check whether you have any disk-quota restrictions by right-clicking the disk you want to save data to, clicking Properties, and then clicking the Quota tab.

You can also restrict access to a backup file by selecting Allow only the owner and the Administrator access to the backup data in the Backup Job Information dialog box. If you select this option, only an administrator or the person who created the backup file will be able to restore the files and folders.

Note

  • You can only use Backup locally; you cannot backup a remote computer.
  • You can only back up and restore System State data on a local computer. You cannot back up and restore System State data on a remote computer even if you are an administrator on the remote computer.

For more information, see To identify members of a local group and Best practices for permissions and user rights.


System State data

With Backup, you can back up and restore the following system components to back up the System State:

Component | When this component is included in System State?
Registry | Always
COM+ Class Registration database | Always
Boot files, including the system files | Always
Certificate Services database | If it is a Certificate Services server
Active Directory directory service | If it is a domain
SYSVOL directory | Only if it is a domain controller
Cluster service information | If it is within a cluster
IIS Metadirectory | If it is installed
System files that are under Windows File Protection | Always

Backup refers to these system components as the System State data. The exact system components that make up your computer's System State data depend on the computer's operating system and configuration.

XOX

The System State data includes only the registry, COM+ Class Registration database, files under Windows File Protection, and boot files.

Windows Server 2003 family operating systems

The System State data includes the registry, COM+ Class Registration database, files under Windows File Protection, and system boot files. Depending on the configuration of the server, other data may be included in the System State data. For example, if the server is a certificate server, the System State will also contain the Certificate Services database. If the server is a domain controller, Active Directory and the SYSVOL directory are also contained in the System State data.

Backing up System State data

When you choose to back up or restore the System State data, all of the System State data that is relevant to your computer is backed up or restored; you cannot choose to back up or restore individual components of the System State data. This is due to dependencies among the System State components. However, you can restore the System State data to an alternate location. If you do this, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location when you restore the System State data.

Restoring Active Directory

If you have more than one domain controller in your organization and the Active Directory directory service is replicated to any of these other servers, you may have to authoritatively restore any Active Directory data that you want to restore. To do this, run the Ntdsutil utility after you have restored the System State data, but before you restart the server on the network. Run this utility only while the server is in Directory Services Restore Mode. With the Ntdsutil utility, you can mark Active Directory objects for authoritative restore. This utility ensures that any replicated or distributed data that you restore is properly replicated or distributed throughout your organization.

For example, if you inadvertently delete or modify objects stored in the Active Directory directory service, and those objects are replicated or distributed to other servers, you will need to authoritatively restore those objects so they are replicated or distributed to the other servers. If you do not authoritatively restore the objects, they will never get replicated or distributed to your other servers because they will appear to be older than the objects currently on your other servers. Using the Ntdsutil utility to mark objects for authoritative restore ensures that the data you want to restore gets replicated or distributed throughout your organization. On the other hand, if your system disk has failed or the Active Directory database is corrupted, then you can simply restore the data nonauthoritatively without using the Ntdsutil utility.

The Ntdsutil command line utility can be run from the command prompt. Help for the Ntdsutil utility can also be found at the command prompt by typing ntdsutil /?.

Notes

  • XOX
  • Although you cannot change which components of the System State are backed up, you can back up all of the protected system files with the System State data by setting advanced backup options.
  • To restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory.
  • You can only back up and restore the System State data on a local computer. You cannot back up and restore the System State data on a remote computer.

For more information, see To back up System State data.


Authoritative, primary, and normal restores

In Backup, distributed services data that is part of the System State data, such as the Active Directory directory service data, can be restored using one of three restore methods:

  • Primary restore
  • Normal (nonauthoritative) restore
  • Authoritative restore
To understand how each restore method works, it is important to understand how the Backup utility backs up data for distributed services. When you back up the System State data on a domain controller, you are backing up all Active Directory data that exists on that server (along with other system components such as the SYSVOL directory and the registry). To restore these distributed services to that server, you must restore the System State data. However, the number and configuration of domain controllers in your system will dictate the type of restore method you choose. For example, if you need to roll back replicated Active Directory changes, but have more than one domain controller in your organization, you will need to perform an authoritative restore to ensure that your restored data gets replicated to all of your servers. However, if you need to restore Active Directory data on a standalone domain controller or on the first of several domain controllers, you will need to perform a primary restore. If you need to restore Active Directory data on just one domain controller in a system where Active Directory data is replicated across several domain controllers, you can use a normal restore if your restored data does not have to be replicated to all your servers.

Primary restore

Use this type of restore when the server you are trying to restore is the only running server of a replicated data set (for example, the SYSVOL and FRS are replicated data sets). Select primary restore only when restoring the first replica set to the network. Do not use primary if one or more replica sets have already been restored. Typically, perform a primary restore only when all the domain controllers in the domain are lost, and you are trying to rebuild the domain from backup.

Distributed Data | Reason for using Primary Restore of System State Data
Active Directory | Restoring a standalone domain controller. Restoring the first of several domain controllers.
SYSVOL | Restoring a standalone domain controller. Restoring the first of several domain controllers.
Replica Sets | Restoring the first replica set.

To perform a primary restore, select When restoring replicated data sets, mark the restored data as the primary data for all replicas in the advanced options. For more information, see To set advanced restore options.

Normal restore

During a normal restore operation, Backup operates in nonauthoritative restore mode. That is, any data that you restore, including Active Directory objects, will have their original update sequence number. The Active Directory replication system uses this number to detect and propagate Active Directory changes among the servers in your organization. Because of this, any data that is restored nonauthoritatively will appear to the Active Directory replication system as though it is old, which means the data will never get replicated to your other servers. Instead, if newer data is available from your other servers, the Active Directory replication system will use this to update the restored data. To replicate the restored data to the other servers, you must use an authoritative restore.

Distributed Data | Reason for using Normal Restore of System State Data
Active Directory | Restoring a single domain controller in a replicated environment.
SYSVOL | Restoring a single domain controller in a replicated environment.
Replica Sets | Restoring all but the first replica sets (that is, sets 2 through n, for n replica sets).

Authoritative restore

To authoritatively restore Active Directory data, you need to run the Ntdsutil utility after you have restored the System State data but before you restart the server. The Ntdsutil utility lets you mark Active Directory objects for authoritative restore. When an object is marked for authoritative restore its update sequence number is changed so that it is higher than any other update sequence number in the Active Directory replication system. This will ensure that any replicated or distributed data that you restore is properly replicated or distributed throughout your organization.

For example, if you inadvertently delete or modify objects stored in the Active Directory directory service, and those objects are replicated or distributed to other servers, you will need to authoritatively restore those objects so they are replicated or distributed to the other servers. If you do not authoritatively restore the objects, they will never get replicated or distributed to your other servers because they will appear to be older than the objects currently on your other servers. Using the Ntdsutil utility to mark objects for authoritative restore ensures that the data you want to restore gets replicated or distributed throughout your organization. On the other hand, if your system disk has failed or the Active Directory database is corrupted, then you can simply restore the data nonauthoritatively without using the Ntdsutil utility.

You can run the Ntdsutil command-line utility from the command prompt. For more information about using ntsustil to perform an authoritative restore, see Ntdsutil. Help for the Ntdsutil utility is also available through the command prompt by typing ntdsutil /?.

Distributed Data | Reason for using Authoritative Restore of System State Data
Active Directory | Rolling back or undoing changes.
SYSVOL | Resetting data.
Replica Sets | Rolling back or undoing changes.

Caution

  • When you restore the System State data, and you do not designate an alternate location for the data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring.

Notes

  • To restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory. For more information on starting your computer in Directory Services Restore Mode, see Startup options.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.

For more information, see To set advanced restore options.


Automated System Recovery (ASR) overview

With Automated System Recovery (ASR), you can create ASR sets on a regular basis as part of an overall plan for system recovery in case of system failure. Use ASR as a last resort in system recovery, only after you have exhausted other options such as the startup options Safe Mode and Last Known Good Configuration. For more information about these and other recovery options, see Startup options.

ASR is a recovery option that has two parts: ASR backup and ASR restore. You can access the backup portion through the Automated System Recovery Preparation Wizard located in Backup. The Automated System Recovery Preparation Wizard backs up the System State data, system services, and all disks associated with the operating system components. It also creates a floppy disk, which contains information about the backup, the disk configurations (including basic and dynamic volumes), and how to accomplish a restore.

You can access the restore part of ASR by pressing F2 when prompted in the text mode portion of setup. ASR reads the disk configurations from the floppy disk and restores all of the disk signatures, volumes and partitions on the disks required to start your computer (at a minimum). (It will attempt to restore all of the disk configurations, but under some circumstances, it may not be able to). ASR then installs a simple installation of Windows and automatically starts to restore from backup using the backup ASR set created by the Automated System Recovery Preparation Wizard.

Note

  • ASR does not include data files. Back up data files separately on a regular basis and restore them after the system is working.
  • Using All information on this computer in the simple wizard also creates an ASR floppy disk and an ASR set.
  • ASR supports FAT16 volumes up to 2.1 GB only. ASR does not support 4 GB FAT16 partitions that use a cluster size of 64K. If your system contains 4-GB FAT16 partitions, convert them from FAT16 to NTFS before using ASR.


Administering Backup

This section covers:

  • Managing Backup from the command line
  • Using batch files to back up data


Managing Backup from the command line

In addition to using the Backup Wizard, you can use the following command line utility to manage Backup:

  • Ntbackup

For information about other command-line utilities, see Command-line reference A-Z.


Using batch files to back up data

You can perform backup operations from batch files using the ntbackup command followed by various command line parameters. However, there are two important limitations to using batch files to back up your data:

  • Using the ntbackup command, you can back up entire folders only. You cannot designate individual files for backup. However, you can designate a backup selection file (.bks file) from the command line, which contains a list of files you want to back up. You must use the GUI version of the Backup utility to create backup selection files.
  • The ntbackup command does not support the use of wildcard characters. For example, typing *.txt will not back up files with a .txt extension.

For more information about using Backup, see "Backup and Restore" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)


Troubleshooting

This section provides problem-solving guidelines for the Backup utility.

What problem are you having?

Backup does not back up to a CD device.

Cause: Backup does not support the use of backup media such as CD-RW (compact disc rewritable), CD-R (compact disc recordable), and DVD-R (digital video disc recordable).

Solution: Back up to an alternate media type, such as a tape or hard disk. If you plan to use CD-RW, CD-R, or DVD-R disks as backup media, you must backup to a file and copy that file to the CD.

Note

  • You can use Backup to restore from a CD-R, CD-RW, or DVD-R disk.

I cannot locate one of my old backup logs.

Cause: Backup saves only the last 10 backup reports (log files).

Solution: Copy the backup log files that you want to archive to another location. By default, Backup saves the backup log files in the Documents and Settings\user name\Local Settings\Application Data\Microsoft\Windows NT\NTbackup\Data folder, where user name is the name of the user who performed the backup.

I want to do an Automated System Recovery (ASR) backup, but my computer does not have a floppy drive.

Cause: When you restore your system files in an ASR restore, Backup requires that you insert a floppy disk containing the ASR backup files.

Solution: Perform an ASR backup on the computer without the floppy drive. Copy the asr.sif and asrpnp.sif files located in the %systemroot%\repair directory to another computer with a floppy drive, then copy those files onto a floppy disk.

Important

  • Before running the ASR restore, you must attach a floppy drive to your computer.

I want to do an Automated System Recovery (ASR) restore, but I do not have the original floppy disk created during the ASR backup.

Cause: When you restore your system files in an ASR restore, Backup requires that you insert a floppy disk containing the ASR backup files asr.sif and asrpnp.sif.

Solution: When you perform an ASR backup, the files asr.sif and asrpnp.sif are copied to a floppy disk and also to the ASR backup set (on tape or other backup media). If you lose the floppy disk, first use the Backup utility to locate and catalog the corresponding ASR backup set, then restore the asr.sif and asrpnp.sif files (located in the %systemroot%\repair directory on the backup media) to a floppy disk. You can use this newly created ASR floppy disk to perform the ASR restore.

See also: To update a catalog; To restore files from a file or a tape